Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit
Class AbstractAgentNode

    java.lang.Object
      SEdit.SElement
          SEdit.SNode
              SEdit.AbstractAgentNode

    public abstract class AbstractAgentNode

extends SNode

CLASS AbstractAgentNode A type of node which encapsulates an agent and displays it into an editor. AbstractAgentNode is a subclass of SNode for the moment. Could be a subclass of SComponent in the future Copyright : Copyright (c) 2001

Author:
  J. Ferber

Field Summary

Fields inherited from class SEdit.SElement
`comment, descriptor, element, id, label, persistent, structure`

Constructor Summary
`AbstractAgentNode()`

Method Summary
`protected void` | `addInArrow(SArrow a)`
`protected void` | `addOutArrow(SArrow a)`
`void` | `delete()`
`AbstractAgent` | `getAgent()`
`java.lang.String` | `getAgentClass()` Get the agentClass name which has to be instantiated
`java.util.Vector` | `getInArrows()`
`java.lang.String` | `getName()`
`java.util.Vector` | `getOutArrows()`
`void` | `init()` Creates the Agent from the agentClass
`protected boolean` | `isConnectable(SArrow s, boolean asTarget)`
`void` | `setAgentClass(java.lang.String s)` set the agentClass name which has to be instantiated
`void` | `setLabel(java.lang.String s)`
`void` | `setupGUI(AbstractAgent ag)`

Methods inherited from class SEdit.SNode
`activate, deleteInArrow, deleteOutArrow, initGraphics, reInstall`

Methods inherited from class SEdit.SElement
`dump, getComment, getDescriptor, getGObject, getID, getLabel, getStructure, inspect, setComment, setDescriptor, setGObject, setID, setStructure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractAgentNode

    public AbstractAgentNode()

Method Detail

### getAgent

    public AbstractAgent getAgent()

### setLabel

    public void setLabel(java.lang.String s)

  Overrides:
    `setLabel` in class `SElement`

### getName

    public java.lang.String getName()

### setupGUI

    public void setupGUI(AbstractAgent ag)

### setAgentClass

    public void setAgentClass(java.lang.String s)

  set the agentClass name which has to be instantiated

### getAgentClass

    public java.lang.String getAgentClass()

  Get the agentClass name which has to be instantiated

### delete

    public void delete()

  Overrides:
    `delete` in class `SNode`

### init

    public void init()

  Creates the Agent from the agentClass

  Overrides:
    `init` in class `SElement`

### addInArrow

    protected void addInArrow(SArrow a)

  Specified by:
    `addInArrow` in class `SNode`

### getInArrows

    public java.util.Vector getInArrows()

  Specified by:
    `getInArrows` in class `SNode`

### addOutArrow

    protected void addOutArrow(SArrow a)

  Specified by:
    `addOutArrow` in class `SNode`

### isConnectable

    protected boolean isConnectable(SArrow s,
                                    boolean asTarget)

  Specified by:
    `isConnectable` in class `SNode`

### getOutArrows

    public java.util.Vector getOutArrows()

  Specified by:
    `getOutArrows` in class `SNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.